<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:50 CEST 2015 -->
<title>Tool</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Tool";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/Tool.html" target="_top">Frames</a></li>
<li><a href="Tool.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.Dtaus</div>
<h2 title="Class Tool" class="title">Class Tool</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.Dtaus.Tool</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Tool</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#leer">leer</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#Tool()">Tool</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatBetrag(java.math.BigInteger)">formatBetrag</a></strong>(java.math.BigInteger&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatBLZ(long)">formatBLZ</a></strong>(long&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatErweiterung(int)">formatErweiterung</a></strong>(int&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatKonto(long)">formatKonto</a></strong>(long&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatKontollAnzahl(int)">formatKontollAnzahl</a></strong>(int&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatKontroll17(java.math.BigInteger)">formatKontroll17</a></strong>(java.math.BigInteger&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatKontrollSumme(java.math.BigInteger)">formatKontrollSumme</a></strong>(java.math.BigInteger&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatQIFBetrag(double)">formatQIFBetrag</a></strong>(double&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatQIFDate(java.util.Date)">formatQIFDate</a></strong>(java.util.Date&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatSL(int)">formatSL</a></strong>(int&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#formatTextschluessel(int)">formatTextschluessel</a></strong>(int&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.Date</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#parseQIFDate(java.lang.String)">parseQIFDate</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/Tool.html#space(int)">space</a></strong>(int&nbsp;anzahl)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="leer">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>leer</h4>
<pre>private static&nbsp;java.lang.String leer</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Tool()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Tool</h4>
<pre>public&nbsp;Tool()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="space(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>space</h4>
<pre>public static&nbsp;java.lang.String&nbsp;space(int&nbsp;anzahl)</pre>
</li>
</ul>
<a name="formatSL(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatSL</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatSL(int&nbsp;value)</pre>
</li>
</ul>
<a name="formatErweiterung(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatErweiterung</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatErweiterung(int&nbsp;value)</pre>
</li>
</ul>
<a name="formatKontollAnzahl(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatKontollAnzahl</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatKontollAnzahl(int&nbsp;value)</pre>
</li>
</ul>
<a name="formatKontrollSumme(java.math.BigInteger)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatKontrollSumme</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatKontrollSumme(java.math.BigInteger&nbsp;value)</pre>
</li>
</ul>
<a name="formatKontroll17(java.math.BigInteger)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatKontroll17</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatKontroll17(java.math.BigInteger&nbsp;value)</pre>
</li>
</ul>
<a name="formatBetrag(java.math.BigInteger)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatBetrag</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatBetrag(java.math.BigInteger&nbsp;value)</pre>
</li>
</ul>
<a name="formatQIFBetrag(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatQIFBetrag</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatQIFBetrag(double&nbsp;value)</pre>
</li>
</ul>
<a name="formatBLZ(long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatBLZ</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatBLZ(long&nbsp;value)</pre>
</li>
</ul>
<a name="formatKonto(long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatKonto</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatKonto(long&nbsp;value)</pre>
</li>
</ul>
<a name="formatTextschluessel(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatTextschluessel</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatTextschluessel(int&nbsp;value)</pre>
</li>
</ul>
<a name="formatQIFDate(java.util.Date)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatQIFDate</h4>
<pre>public static&nbsp;java.lang.String&nbsp;formatQIFDate(java.util.Date&nbsp;value)</pre>
</li>
</ul>
<a name="parseQIFDate(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>parseQIFDate</h4>
<pre>public static&nbsp;java.util.Date&nbsp;parseQIFDate(java.lang.String&nbsp;value)
                                   throws java.text.ParseException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.text.ParseException</code></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/Tool.html" target="_top">Frames</a></li>
<li><a href="Tool.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
